import request from '@/utils/request'

// 记录列表
export function getWorkSiteList(query) {
    return request({
      url: '/material/workSite/list',
      method: 'get',
      params: query
    })
  }

// 工地直转-根据协议号获取设备
export function getUseringData(query) {
    return request({
      url: '/material/workSite/getUseringData',
      method: 'get',
      params: query
    })
  }

  
//提交直转申请
export function submitWorkSite(params = {}){
  return request({
    url:'/material/workSite/submit',
    method: 'post',
    data:params
  })
}

// 工地直转-根据协议号获取设备
export function getDetailInfo(query) {
  return request({
    url: '/material/workSite/getInfo',
    method: 'get',
    params: query
  })
}

//直转申请审批-同意
export function passWorkSite(params = {}){
  return request({
    url:'/material/workSite/pass',
    method: 'post',
    data:params
  })
}

//直转申请审批-拒绝
export function refuseWorkSite(params = {}){
  return request({
    url:'/material/workSite/refuse',
    method: 'post',
    data:params
  })
}










